/// <reference types="react" />
import { DatasourceState, DatasourceStateError } from "@nexcodepl/endpoint-client";
import { StaticRouteBase } from "@nexcodepl/vite-static";
import { RouteDataContextContextType } from "./routeDataContext.js";
type ElementWithProps<TProps> = (props: TProps) => JSX.Element;
interface Props<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TElementProps> {
    RouteDataContext: RouteDataContextContextType;
    route: TStaticRoute;
    element: ElementWithProps<TElementProps>;
    wrapper: React.FC<{
        route: TStaticRoute;
        children: ElementWithProps<TElementProps>;
        routeDataState: DatasourceState<any>["state"];
    }>;
    loader: ElementWithProps<TElementProps>;
    error: (error: DatasourceStateError, props: TElementProps) => JSX.Element;
    routes: TStaticRoute[];
    globalData: TGlobalData;
    basePath?: string;
}
export declare function StaticDataProvider<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TElementProps>({ route, element, loader, error, routes, globalData, wrapper, RouteDataContext, basePath, }: Props<TStaticRoute, TGlobalData, TElementProps>): JSX.Element;
export {};
